# $Revision: 1.66 $, $Date: 2010/02/01 00:01:36 $
Summary:	The NTFS driver with read and write support
Summary(pl.UTF-8):	Sterownik do NTFS umożliwiający odczyt i zapis
Name:		ntfs-3g
Version:	2010.1.16
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.tuxera.com/opensource/%{name}-%{version}.tgz
# Source0-md5:	e104c914e8d7d29ee83e63d46afbba25
Source1:	%{name}.fdi
URL:		http://www.ntfs-3g.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The driver to NTFS with read and write support. It is able to
unlimited and fully save file creation and deletion.

%description -l pl.UTF-8
Sterownik do systemu plików NTFS posiadający możliwość zarówno odczytu
jak i zapisu. Umożliwia tworzenie i kasowanie plików nieograniczoną
liczbę razy.

%package devel
Summary:	Header files for libntfs-3g library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki libntfs-3g
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package includes the header files needed to link software with
libnfts-3g libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania programów korzystających z
bibliotek libntfs-3g.

%package static
Summary:	Static version of libntfs-3g library
Summary:	Statyczna wersja bibliotek libntfs-3g
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains the static version of libntfs-3g library

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję bibliotek libntfs-3g.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	--disable-ldconfig \
	--with-fuse=internal

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mount.ntfs-3g manpage fix
rm $RPM_BUILD_ROOT%{_mandir}/man8/mount.ntfs-3g.8
echo ".so ntfs-3g.8" > $RPM_BUILD_ROOT%{_mandir}/man8/mount.ntfs-3g.8

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/10-%{name}.fdi

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ntfs-3g
%attr(755,root,root) %{_bindir}/ntfs-3g.probe
%attr(755,root,root) %{_bindir}/ntfs-3g.secaudit
%attr(755,root,root) %{_bindir}/ntfs-3g.usermap
%attr(755,root,root) %{_sbindir}/mount.ntfs-3g
%attr(755,root,root) %{_libdir}/libntfs-3g.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntfs-3g.so.??
%{_datadir}/hal/fdi/policy/10osvendor/*
%{_mandir}/man8/mount.ntfs-3g.8*
%{_mandir}/man8/ntfs-3g.8*
%{_mandir}/man8/ntfs-3g.probe.8*
%{_mandir}/man8/ntfs-3g.secaudit.8*
%{_mandir}/man8/ntfs-3g.usermap.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntfs-3g.so
%{_libdir}/libntfs-3g.la
%{_includedir}/ntfs-3g
%{_pkgconfigdir}/libntfs-3g.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libntfs-3g.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntfs-3g.spec,v $
Revision 1.66  2010/02/01 00:01:36  adamg
- updated to 2010.1.16

Revision 1.65  2009/11/18 11:40:33  amateja
- REDME file packaged twice (once to wrong directory) - got rid of it
- release 2

Revision 1.64  2009/11/16 22:28:57  evil
- up to 2009.11.14

Revision 1.63  2009/10/27 16:39:27  adamg
- hal support (works for me); release 3

Revision 1.62  2009/10/07 12:05:01  paszczus
- release 2

Revision 1.61  2009/06/22 15:38:25  wolf
- use internal libfuse (http://ntfs-3g.org/support.html#unprivileged)

Revision 1.60  2009/04/11 11:39:06  wolf
- 2009.4.4

Revision 1.59  2009/04/01 19:37:55  wolf
- 2009.3.8

Revision 1.58  2009/02/16 17:22:00  adamg
- updated to 2009.2.1

Revision 1.57  2009/01/24 13:07:10  adamg
- updated to 2009.1.1

Revision 1.56  2008/12/01 17:48:06  paszczus
- updated to 1.5130
- SONAME changed from libntfs-3g.so.40 to libntfs-3g.so.43

Revision 1.55  2008/10/14 07:03:52  paszczus
- updated to 1.5012 (soname changed from libntfs-3g.so.36 to libntfs-3g.so.40

Revision 1.54  2008/08/28 21:08:24  wolf
- 1.2812

Revision 1.53  2008/07/14 19:02:28  areq
- 1.2712

Revision 1.52  2008/05/29 19:48:54  wolf
- 1.2531

Revision 1.51  2008-05-07 10:47:02  vip
- up to 1.2506

Revision 1.50  2008-04-19 20:23:26  wolf
- 1.2412

Revision 1.49  2008-03-11 20:39:05  wolf
- 1.2310

Revision 1.48  2008-02-18 20:02:09  wolf
- 1.2216

Revision 1.47  2008-01-31 21:25:45  qboosh
- more verbose files, ghost soname symlink
- GPL v2+

Revision 1.46  2008-01-30 21:48:58  wolf
- 1.2129

Revision 1.45  2007-11-20 17:07:45  wolf
- 1.1120

Revision 1.44  2007-11-19 17:15:10  wolf
- 1.1104

Revision 1.43  2007/10/28 19:06:33  areq
- 1.1030

Revision 1.42  2007/10/06 16:01:47  areq
- 1.1004

Revision 1.41  2007/09/14 20:49:11  wolf
- 1.913

Revision 1.40  2007/09/11 16:07:11  wolf
- 1.910-RC

Revision 1.39  2007/08/27 19:43:07  wolf
- 1.826

Revision 1.38  2007/08/14 12:11:30  wolf
- 1.810

Revision 1.37  2007/07/12 17:59:43  wolf
- 1.710

Revision 1.36  2007/06/17 14:07:36  wolf
- 1.616

Revision 1.35  2007/05/22 21:05:05  wolf
- 1.516

Revision 1.34  2007/04/16 12:24:24  wolvverine
- up to 1.417

Revision 1.33  2007/04/14 18:46:57  adamg
- manpage fix

Revision 1.32  2007/04/13 17:58:40  wolf
- 1.411-RC

Revision 1.31  2007/03/24 16:52:57  wolf
- 1.320-RC

Revision 1.30  2007/02/21 13:05:47  qboosh
- simplified prep

Revision 1.29  2007/02/21 12:30:13  wolf
- 1.0

Revision 1.28  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.26  2007/02/08 12:21:36  wolf
- 20070207

Revision 1.25  2007/01/18 15:57:39  wolf
- 20070118

Revision 1.24  2007/01/16 00:31:02  wolf
- 20070116

Revision 1.23  2007/01/03 03:36:36  wolf
- 20070102

Revision 1.22  2006/12/19 20:00:40  deejay1
- up to 20061218

Revision 1.21  2006/12/12 21:23:36  qboosh
- reverted, libselinux was mistaken libfuse dependency

Revision 1.20  2006/12/12 20:16:21  prism
- BR: libselinux-devel

Revision 1.19  2006/12/12 16:38:45  wolf
- 20061212

Revision 1.18  2006/11/15 16:31:10  wolf
- 0.20061115
- it requires fuse 2.6.0 kernel module

Revision 1.17  2006/11/05 13:47:40  glen
- package /sbin/mount.ntfs-3g for /etc/fstab; rel 2

Revision 1.16  2006/11/05 12:47:08  wolf
- 0.20061031

Revision 1.15  2006/11/05 12:12:34  glen
- update URL

Revision 1.14  2006/09/20 12:02:01  wolf
- 20070920

Revision 1.13  2006/09/11 14:05:36  wolf
- 20070910

Revision 1.12  2006/08/23 20:26:52  qboosh
- don't include autogenerated symlink

Revision 1.11  2006/08/21 23:28:10  wolf
- 20070822

Revision 1.10  2006/08/11 12:22:15  arekm
- drop wrong translation

Revision 1.9  2006/08/11 12:04:04  tommat
- updated to 20070811

Revision 1.8  2006/07/20 20:23:09  qboosh
- just typo fix, not whole pl

Revision 1.7  2006/07/20 20:22:43  qboosh
- pl typo

Revision 1.6  2006/07/16 15:30:50  shadzik
- rel fix

Revision 1.5  2006/07/16 15:20:39  darekr
- BR: ac,am,lt

Revision 1.4  2006/07/16 12:04:39  wolf
- fixes, fixes, fixes

Revision 1.3  2006/07/16 09:56:04  shadzik
- added rev, date and changelog
- adapterized
